Subject: Re: draft-ietf-pana-usage-scenarios-00.txt

From: Erik Nordmark <[email-masked]>
Date: Tue, 5 Feb 2002 06:10:12 +0100 (CET)

> Sure.  
> 
> On the other hand, if something is missing in the requirements I-D
> to realize the scenarios described in the usage scenarios I-D, 
> it should be added to the requirements I-D.

Yoshihiro,

I'm getting confused.
Earlier you stated that the usage scenarios include things that are out of
scope for PANA.
Now you say that the requirements document better cover everything that 
is in the usage scenarios document. That makes no sense if
the latter intentionally has a larger scope than the former.

   Erik

> On Thu, Jan 31, 2002 at 02:23:27PM -0800, Alper Yegin wrote:
> > 
> > I'd have preferred a usage scenario draft that is very well aligned with
> > the requirements draft.
> > 
> > If we want to provide extra scenarios to draw a complete picture
> > of "network access", possibly hinting at future work, that's fine,
> > as long as they are explicitely marked as "out of scope" in bold
> > characters....
> > 
> > But, people should use the requirements draft to figure out the
> > scope of work to be done in this WG, and use scenarios as illustrations
> > of how they are used. We should have an explicit text in the usage
> > scenarios that point to the requirements draft.
> > 
> > (we'll have the requirements and the terminology draft out pretty soon!)
> > 
> > alper
> > 
>

---

From: Yoshihiro Ohba <[email-masked]>
Date: Tue, 5 Feb 2002 14:38:54 -0500

> the latter intentionally has a larger scope than the former.

Sorry for the confution.  I would say focus is diffent between two
I-Ds.

o The usage scenarios I-D focuses on problem statements and scenarios 
  so as to derive actual protocol requirements.
  It includes both in-scope and out-of-scope things.

o The requirements I-D focues on deriving the actual protocol requirements.
  As a side product, it also clarifies the boundary between in-scope
  and out-of-scope things.

Erik and Alper requested that the usage scenarios I-D should clarify
the boundary between in-scope and out-of-scope things to align the
requirements I-D.  (Jacques also suggested having clear problem statements and scenarios 

On the other hand, I requested that the requirements I-D should not
miss any requirement that is actually needed for realizing the
scenarios described in the usage scenarios I-D.

Does this make sense?

Yoshihiro Ohba

---

From: Erik Nordmark <[email-masked]>
Date: Wed, 6 Feb 2002 10:52:54 +0100 (CET)

> scenarios described in the usage scenarios I-D.

No, please reread my statement at the top of this email.

1. The requirements should only cover what is in scope.
2. You say that the usage scenarious will cover things that are not in scope.
3. And you claim that the requirements must cover all the scenarious.

All 3 of the above can not be true since they are in logical conflict.
Thus at least one of them must not be true. Which one is it?

  Erik